Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.

Bug 1058694

Summary: Please update to 2.1.3
Product: [Fedora] Fedora Reporter: Remi Collet <fedora>
Component: php-sabredav-Sabre_VObjectAssignee: Joseph Marrero <jmarrero>
Status: CLOSED ERRATA QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: unspecified Docs Contact:
Priority: unspecified    
Version: rawhideCC: awilliam, jmarrero
Target Milestone: ---   
Target Release: ---   
Hardware: Unspecified   
OS: Unspecified   
Whiteboard:
Fixed In Version: php-sabredav-Sabre-1.0.0-12.fc20 Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2014-03-03 03:09:59 UTC Type: Bug
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Bug Depends On:    
Bug Blocks: 1056122    

Description Remi Collet 2014-01-28 11:30:53 UTC
Current version are (in /usr/share/pear)
php-sabredave-Dav 1.7.8
php-sabredav-Sabre_VObject 2.1.0

Latest bugfix version is 1.7.9 (with vobject 2.1.3)

We also have (in /usr/share/php)
php-sabre-dav-1.8.7
php-sabre-vobject-2.1.3

See bug #1056122 for more explanation

So plan could be

owncloud:
php-sabredave-Dav 1.7.9
php-sabredav-Sabre_VObject 2.1.3

horde:
php-sabre-dav-1.8.7
php-sabredav-Sabre_VObject 2.1.3

zarafa:
php-sabre-vobject-3.1.3

Comment 1 Remi Collet 2014-01-28 11:31:59 UTC
Please also build the epel-7 packages.

Comment 2 Remi Collet 2014-02-12 06:46:04 UTC
Ping ?

And FYI 1.7.10 is now available (Fixes a potential security vulnerability in the http client)

Comment 3 Joseph Marrero 2014-02-12 11:48:35 UTC
Sorry I am in the middle of my last year of my masters studies and have been a little crazy time.

I pushed the update to VObject to rawhide and builded a f20
let me know if they seem all right for you and will push them to the testing repos.

I will update to 1.7.10 the other components os sabredav* during the afternoon.

Does php-aws-sdk works for you rawhide (BUG#1047160) ?

Also just noticed owncloud in el6 epel is owncloud-4.5.13-3 and their version of sabredav is 1.6.x
I think updating to 1.7.10 and vobject 2.1.3 will break the whole thing.

Comment 4 Remi Collet 2014-02-20 11:30:55 UTC
adding Adam for OwnCloud

Comment 5 Remi Collet 2014-02-20 11:46:18 UTC
I have run some tests with both php-sabredav-Sabre_VObject 2.1.3 and php-sabre-vobject-3.1.3.

All seems ok (for Horde).

As /usr/share/pear is before usr/share/php in default include_path, I think owncloud 5 should not be affected by the change (@adam, please check).

I will push the update (Hore_Autoloader, Horde_Dav, php-sabre-dav and php-sabre-vobject) in the other branch when php-sabredav-Sabre_VObject will be updated.

I think we are stick in EPEL-6 because of owncloud 4.

Comment 6 Adam Williamson 2014-02-20 17:25:29 UTC
remi: sorry, where did you want me to check OC exactly? The plan is to bump php-sabredav-Sabre_VObject to 2.1.3, the same version as php-sabre-vobject currently? Why still have two packages?

Comment 7 Remi Collet 2014-02-20 17:31:24 UTC
@adam

php-sabredav-Sabre_VObject is 2.1.3 (installed as a pear package, in /usr/share/pear) and keep for all applications which still use it (horde, ...)

php-sabre-vobject is 3.1.3 (installed as a standard library, in /usr/share/php), for new applications (requested for Zarafa)

Also See Bug #1056122

Comment 8 Fedora Update System 2014-02-21 02:52:39 UTC
php-sabredav-Sabre-1.0.0-12.fc20,php-sabredav-Sabre_VObject-2.1.3-1.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/php-sabredav-Sabre-1.0.0-12.fc20,php-sabredav-Sabre_VObject-2.1.3-1.fc20

Comment 9 Fedora Update System 2014-02-22 18:19:33 UTC
Package php-sabredav-Sabre-1.0.0-12.fc20, php-sabredav-Sabre_VObject-2.1.3-1.fc20:
* should fix your issue,
* was pushed to the Fedora 20 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing php-sabredav-Sabre-1.0.0-12.fc20 php-sabredav-Sabre_VObject-2.1.3-1.fc20'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2014-2954/php-sabredav-Sabre-1.0.0-12.fc20,php-sabredav-Sabre_VObject-2.1.3-1.fc20
then log in and leave karma (feedback).

Comment 10 Fedora Update System 2014-03-03 03:09:59 UTC
php-sabredav-Sabre-1.0.0-12.fc20, php-sabredav-Sabre_VObject-2.1.3-1.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.